Package com.pixelmed.dicom

# Class SetOfFrameSets

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<E>
java.util.HashSet<FrameSet>
com.pixelmed.dicom.SetOfFrameSets

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<FrameSet>`, `Collection<FrameSet>`, `Set<FrameSet>`

public class SetOfFrameSets extends HashSet<FrameSet>

A class to describe a set of frame sets, each of which shares common characteristics suitable for display or analysis as an entity.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SetOfFrameSets()`
Create an empty new set of `FrameSet`s.
`SetOfFrameSets(String[] paths)`
Create a new set of `FrameSet`s, from a set of DICOM files.
`SetOfFrameSets(Set<File> files)`
Create a new set of `FrameSet`s, from a set of DICOM files.

## Method Summary

Modifier and Type
Method
Description
`void`
`insertIntoFrameSets(AttributeList list)`
Insert a single frame object into the set of existing `FrameSet`s, creating new `FrameSet`s as necessary.
`static void`
`main(String[] arg)`
For testing, read all DICOM files and partition them into `FrameSet`s.
`String`
`toString()`
Return a String representing this object's value.

### Methods inherited from class java.util.HashSet

`add, clear, clone, contains, isEmpty, iterator, remove, size, spliterator, toArray, toArray`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, containsAll, retainAll`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`addAll, containsAll, equals, hashCode, removeAll, retainAll`

## Constructor Details

### SetOfFrameSets

public SetOfFrameSets()

Create an empty new set of `FrameSet`s.

### SetOfFrameSets

public SetOfFrameSets(Set<File> files)

Create a new set of `FrameSet`s, from a set of DICOM files.

Non-DICOM files and problems parsing files are ignored, rather than causing failure

Parameters:
  `files` - a set of files

### SetOfFrameSets

public SetOfFrameSets(String[] paths)

Create a new set of `FrameSet`s, from a set of DICOM files.

Non-DICOM files and problems parsing files are ignored, rather than causing failure

Parameters:
  `paths` - a set of paths of filenames and/or folder names of files containing the images

## Method Details

### insertIntoFrameSets

public void insertIntoFrameSets(AttributeList list) throws DicomException

Insert a single frame object into the set of existing `FrameSet`s, creating new `FrameSet`s as necessary.

Multi-frame, especially enhanced multi-frame, objects are not yet supported, since one purpose of this is to use `FrameSet`s to create or simulate them. In future, support of creation of `FrameSet`s from functional groups, and from frame vectors (as in NM images esp. RECON TOMO) may be added.

Parameters:
  `list` - a list of DICOM attributes for an object
Throws:
  `DicomException` - if no SOP Instance UID

### toString

public String toString()

Return a String representing this object's value.

Overrides:
  `toString` in class `AbstractCollection<FrameSet>`
Returns:
  a string representation of the value of this object

### main

public static void main(String[] arg)

For testing, read all DICOM files and partition them into `FrameSet`s.

Parameters:
  `arg` - the filenames and/or folder names of files containing the images